"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Title = exports.SkillsList = exports.SkillsContainer = exports.IntroText = exports.InnerContainer = exports.HeaderContainer = exports.ContentGrid = exports.AboutContainer = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7, _templateObject8;
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _taggedTemplateLiteral(e, t) { return t || (t = e.slice(0)), Object.freeze(Object.defineProperties(e, { raw: { value: Object.freeze(t) } })); }
var AboutContainer = exports.AboutContainer = _styledComponents["default"].div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  width: 100%;\n  background-color: #fafafa;\n  color: #121212;\n  padding: 20px;\n  /* margin-top: 2rem; */\n"])));
var InnerContainer = exports.InnerContainer = _styledComponents["default"].div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  display: flex;\n  flex-direction: column;\n  justify-content: center;\n  align-items: center;\n  width: 100%;\n  margin-top: 4rem;\n  margin-bottom: 4rem;\n"])));
var HeaderContainer = exports.HeaderContainer = _styledComponents["default"].div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  max-width: 1000px;\n  width: 100%;\n  text-align: center;\n  margin-bottom: 20px;\n\n  div {\n    font-size: 1rem;\n    margin-top: 10px;\n    color: #5a5a5a;\n  }\n"])));
var Title = exports.Title = _styledComponents["default"].div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  text-align: center;\n  padding-bottom: 12px;\n\n  p {\n    color: #121212;\n    font-size: 2rem;\n    font-weight: 700;\n    display: inline-block;\n    position: relative;\n    padding-bottom: 8px;\n    letter-spacing: 3px;\n\n    &::after {\n      content: \"\";\n      position: absolute;\n      left: 50%;\n      bottom: 0;\n      transform: translateX(-50%);\n      width: 30%;\n\n      height: 4px;\n      background-color: #0a7969; // theme needed\n      border-radius: 10px;\n    }\n  }\n"])));
var ContentGrid = exports.ContentGrid = _styledComponents["default"].div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n  max-width: 1000px;\n  width: 100%;\n  display: grid;\n  grid-template-columns: 2fr 2fr;\n  gap: 30px;\n  align-items: start;\n  padding: 0 16px;\n  margin-top: 30px;\n\n  @media (max-width: 768px) {\n    grid-template-columns: 1fr;\n    gap: 40px;\n  }\n"])));
var IntroText = exports.IntroText = _styledComponents["default"].div(_templateObject6 || (_templateObject6 = _taggedTemplateLiteral(["\n  text-align: left;\n\n  h2 {\n    font-size: 1.5rem;\n    font-weight: bold;\n    margin-bottom: 15px;\n  }\n\n  p {\n    font-size: 1rem;\n    margin-bottom: 10px;\n    color: #5a5a5a;\n\n    span {\n      font-weight: bold;\n    }\n\n    a {\n      color: #a33de3;\n      text-decoration: none;\n    }\n\n    a:hover {\n      text-decoration: underline;\n    }\n  }\n\n  button {\n    margin-top: 20px; /* Add space between text and button */\n    width: 160px;\n  }\n"])));
var SkillsContainer = exports.SkillsContainer = _styledComponents["default"].div(_templateObject7 || (_templateObject7 = _taggedTemplateLiteral(["\n  text-align: left;\n  display: flex;\n  flex-direction: column;\n  align-items: flex-start;\n\n  h3 {\n    font-size: 1.5rem;\n    font-weight: bold;\n    margin-bottom: 20px;\n  }\n\n  @media (max-width: 768px) {\n    /* margin-top: 30px; */\n  }\n"])));
var SkillsList = exports.SkillsList = _styledComponents["default"].div(_templateObject8 || (_templateObject8 = _taggedTemplateLiteral(["\n  display: flex;\n  flex-wrap: wrap;\n  gap: 10px;\n\n  span {\n    background-color: #eaeaea;\n    padding: 10px 15px;\n    border-radius: 8px;\n    font-weight: 500;\n    color: #121212;\n  }\n"])));