"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextArea = exports.SubmitButton = exports.Input = exports.Form = exports.ContactContainer = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _diamonds = _interopRequireDefault(require("../../assets/diamonds.webp"));
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5;
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _taggedTemplateLiteral(e, t) { return t || (t = e.slice(0)), Object.freeze(Object.defineProperties(e, { raw: { value: Object.freeze(t) } })); }
var ContactContainer = exports.ContactContainer = _styledComponents["default"].div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  width: 100%;\n  height: 100vh;\n  background-color: #fafafa;\n  display: flex;\n  flex-direction: column;\n  justify-content: center;\n  align-items: center;\n  padding: 4px;\n  scroll-margin-top: 40px;\n  position: relative;\n\n  @media (max-width: 768px) {\n    scroll-margin-top: 60px;\n  }\n\n  &::before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    left: 0;\n    width: 100%;\n    height: 100%;\n    background: url(", ") no-repeat center center;\n    background-size: cover;\n    opacity: 0.2;\n    z-index: 0;\n    pointer-events: none;\n  }\n\n  z-index: 1;\n"])), _diamonds["default"]);
var Form = exports.Form = _styledComponents["default"].form(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  display: flex;\n  flex-direction: column;\n  max-width: 600px;\n  width: 100%;\n  border-radius: 4px;\n  margin-top: 20px;\n  box-shadow: rgba(17, 12, 46, 0.15) 0px 48px 100px 0px;\n  padding: 30px;\n  background-color: #fff;\n  position: relative;\n  z-index: 1;\n"])));
var Input = exports.Input = _styledComponents["default"].input(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  background-color: #f0f0f0;\n  padding: 10px;\n  border-radius: 4px;\n  margin-top: 10px;\n  margin-bottom: 10px;\n  border: 1px solid #dcdcdc;\n  font-size: 1rem;\n\n  &:focus {\n    outline: none;\n    border-color: #0a7969;\n    box-shadow: 0 0 3px rgba(10, 121, 105, 0.5);\n  }\n"])));
var TextArea = exports.TextArea = _styledComponents["default"].textarea(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  background-color: #f0f0f0;\n  padding: 10px;\n  border-radius: 4px;\n  margin-top: 10px;\n  margin-bottom: 10px;\n  border: 1px solid #dcdcdc;\n  font-size: 1rem;\n\n  &:focus {\n    outline: none;\n    border-color: #0a7969;\n    box-shadow: 0 0 3px rgba(10, 121, 105, 0.5);\n  }\n"])));
var SubmitButton = exports.SubmitButton = _styledComponents["default"].button(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n  color: #fff;\n  font-weight: 600;\n  padding: 10px;\n  width: 160px;\n  margin: 40px auto 20px;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  border-radius: 4px;\n  cursor: pointer;\n  background-color: #0a7969;\n  border: 2px solid transparent;\n\n  &:hover {\n    background-color: #097969;\n    border-color: #097969;\n  }\n"])));