"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ProjectsButton = exports.IntroText = exports.HomeContainer = exports.Description = exports.ContentContainer = exports.ButtonWrapper = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _diamonds = _interopRequireDefault(require("../../assets/diamonds.webp"));
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6;
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _taggedTemplateLiteral(e, t) { return t || (t = e.slice(0)), Object.freeze(Object.defineProperties(e, { raw: { value: Object.freeze(t) } })); }
var HomeContainer = exports.HomeContainer = _styledComponents["default"].div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  width: 100%;\n  height: 100vh;\n  background-color: #f2f2f2; // theme needed\n  position: relative;\n\n  @media (max-width: 576px) {\n    height: 90vh;\n  }\n\n  // Adding a background image with reduced opacity using ::before pseudo-element\n  &::before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    left: 0;\n    width: 100%;\n    height: 100%;\n    background: url(", ") no-repeat center center;\n    background-size: cover;\n    opacity: 0.2; // Set the opacity of the image only\n    z-index: 0; // Keep it behind the content\n    pointer-events: none; // Ensure the background doesn't interfere with content interaction\n  }\n\n  // Ensure child content appears above the background\n  z-index: 1;\n"])), _diamonds["default"]);
var ContentContainer = exports.ContentContainer = _styledComponents["default"].div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  max-width: 1000px;\n  margin: 0 auto;\n  padding: 0 8px;\n  display: flex;\n  flex-direction: column;\n  justify-content: center;\n  height: 100%;\n  position: relative; // Ensures it's above the background\n  z-index: 1; // Ensures content is visible above the background image\n"])));
var IntroText = exports.IntroText = _styledComponents["default"].div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  font-family: \"Lato\", sans-serif;\n  font-weight: 900;\n  font-style: normal;\n  font-size: 3rem;\n  /* text-transform: uppercase; */\n  letter-spacing: 3px;\n  text-align: center;\n\n  /* Make the font size smaller as the screen width decreases */\n  @media (max-width: 1200px) {\n    font-size: 3.5rem;\n  }\n\n  @media (max-width: 992px) {\n    font-size: 3.5rem;\n  }\n\n  @media (max-width: 768px) {\n    font-size: 3rem;\n  }\n\n  @media (max-width: 576px) {\n    font-size: 2.3rem;\n  }\n\n  @media (max-width: 400px) {\n    font-size: 1.5;\n  }\n"])));
var Description = exports.Description = _styledComponents["default"].p(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  font-family: \"Lato\", sans-serif;\n  font-size: 1rem;\n  /* letter-spacing: 3px; */\n  line-height: 2rem;\n  padding-top: 1.5rem;\n  padding-bottom: 1rem;\n  max-width: 600px;\n  text-align: center;\n  margin: 0 auto;\n"])));
var ButtonWrapper = exports.ButtonWrapper = _styledComponents["default"].div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n  display: flex;\n  justify-content: center;\n"])));
var ProjectsButton = exports.ProjectsButton = _styledComponents["default"].a(_templateObject6 || (_templateObject6 = _taggedTemplateLiteral(["\n  color: #fff;\n  font-weight: bold;\n  /* border: 2px solid #29ab87; */\n  height: 48px;\n  width: 220px;\n  margin-top: 1.5rem;\n  margin-bottom: 10px;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  border-radius: 4px;\n  cursor: pointer;\n  text-decoration: none;\n  transition: all 0.3s ease;\n  background-color: #097969; // theme needed\n  letter-spacing: 1px;\n\n  &:hover {\n    /* background-color: #29ab87; */\n    color: #fff;\n    cursor: pointer;\n    /* border-color: #29ab87; */\n    transform: translateY(-3px); /* Moves the button up by 3px */\n    transition: transform 0.3s ease; /* Smooth transition */\n  }\n\n  .arrow-icon {\n    margin-left: 0px;\n    position: relative;\n    left: 12px;\n    transition: transform 0.3s ease;\n  }\n\n  &:hover .arrow-icon {\n    transform: rotate(90deg);\n  }\n"])));