"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SocialIcons = exports.NavbarContainer = exports.MobileMenu = exports.Menu = exports.LogoContainer = exports.HamburgerIcon = exports.Hamburger = exports.CloseIcon = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _fa = require("react-icons/fa");
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7, _templateObject8;
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _taggedTemplateLiteral(e, t) { return t || (t = e.slice(0)), Object.freeze(Object.defineProperties(e, { raw: { value: Object.freeze(t) } })); }
var NavbarContainer = exports.NavbarContainer = _styledComponents["default"].div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  position: fixed;\n  z-index: 1000;\n  width: 100%;\n  height: 80px;\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  background-color: #ffffff; /* Plain white background */\n"])));
var LogoContainer = exports.LogoContainer = _styledComponents["default"].a(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  display: flex;\n  align-items: center;\n  margin: 0;\n  padding: 0;\n\n  img {\n    width: 200px;\n    cursor: pointer;\n    position: relative;\n    right: 50px;\n  }\n\n  h1 {\n    font-size: 1.2rem;\n    font-weight: 600;\n    letter-spacing: 1px;\n    position: relative;\n    right: 95px;\n\n    @media (max-width: 992px) {\n      display: none;\n    }\n  }\n"])));
var Menu = exports.Menu = _styledComponents["default"].div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  ul {\n    display: none;\n    text-transform: uppercase;\n    font-size: 0.9rem;\n    margin-right: 20px;\n\n    @media (min-width: 768px) {\n      display: flex;\n      letter-spacing: 1px;\n      font-weight: 800;\n\n      li {\n        padding: 0 30px;\n        cursor: pointer;\n      }\n\n      a {\n        color: #333333;\n        text-decoration: none;\n\n        &:hover {\n          color: #097969;\n        }\n      }\n    }\n  }\n"])));
var Hamburger = exports.Hamburger = _styledComponents["default"].div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  display: block;\n  z-index: 10;\n  font-size: 32px; /* Increase icon size */\n  cursor: pointer;\n  margin-right: 20px;\n\n  @media (min-width: 768px) {\n    display: none;\n  }\n"])));
var MobileMenu = exports.MobileMenu = _styledComponents["default"].ul(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n  display: ", ";\n  flex-direction: column;\n  justify-content: center;\n  align-items: flex-end;\n  position: absolute;\n  top: 80px; /* Below the navbar */\n  left: 0;\n  width: 100%;\n  height: 40vh;\n  background-color: #ffffff; /* Plain white */\n  z-index: 9;\n\n  li {\n    padding: 12px;\n    border-bottom: 1px solid #f0f0f0;\n    width: 100%;\n    font-size: 22px;\n    text-align: right;\n    cursor: pointer;\n\n    a {\n      color: #333333;\n      font-weight: 600;\n      letter-spacing: 3px;\n      text-decoration: none;\n\n      &:hover {\n        color: #0a7969;\n      }\n    }\n  }\n"])), function (_ref) {
  var $isOpen = _ref.$isOpen;
  return $isOpen ? "flex" : "none";
});
var SocialIcons = exports.SocialIcons = _styledComponents["default"].div(_templateObject6 || (_templateObject6 = _taggedTemplateLiteral(["\n  display: none;\n\n  @media (min-width: 1024px) {\n    display: flex;\n    flex-direction: column;\n    position: fixed;\n    top: 35%;\n    left: 0;\n\n    ul {\n      li {\n        width: 160px;\n        height: 60px;\n        display: flex;\n        justify-content: space-between;\n        align-items: center;\n        margin-left: -100px;\n        padding: 0 16px;\n        background-color: #ffffff;\n        cursor: pointer;\n\n        &:hover {\n          margin-left: -10px;\n        }\n\n        a {\n          display: flex;\n          justify-content: space-between;\n          align-items: center;\n          width: 100%;\n          color: #000000;\n          text-decoration: none;\n\n          svg {\n            font-size: 1.8rem; /* Increase icon size here */\n          }\n\n          &:hover {\n            color: #0a7969;\n          }\n        }\n      }\n    }\n  }\n"])));
var HamburgerIcon = exports.HamburgerIcon = (0, _styledComponents["default"])(_fa.FaBars)(_templateObject7 || (_templateObject7 = _taggedTemplateLiteral(["\n  color: #097969;\n  font-size: 24px; /* Consistent size for icons */\n"])));
var CloseIcon = exports.CloseIcon = (0, _styledComponents["default"])(_fa.FaTimes)(_templateObject8 || (_templateObject8 = _taggedTemplateLiteral(["\n  color: #097969;\n  font-size: 24px; /* Consistent size for icons */\n"])));