"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ShowcaseContainer = exports.ScreenOverlay = exports.ImageContainer = exports.DetailsContainer = exports.CaseStudyButton = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5;
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _taggedTemplateLiteral(e, t) { return t || (t = e.slice(0)), Object.freeze(Object.defineProperties(e, { raw: { value: Object.freeze(t) } })); }
var ShowcaseContainer = exports.ShowcaseContainer = _styledComponents["default"].div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  display: flex;\n  align-items: center;\n  justify-content: space-between;\n  margin: 40px 0;\n  max-width: 1000px;\n  width: 100%;\n\n  @media (max-width: 768px) {\n    flex-direction: column;\n    text-align: center;\n  }\n"])));
var ImageContainer = exports.ImageContainer = _styledComponents["default"].div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  flex: 1;\n  position: relative; /* Make this container relative so the overlay can be positioned within it */\n\n  img {\n    width: 100%;\n    max-width: 500px;\n  }\n\n  @media (max-width: 768px) {\n    margin-bottom: 20px;\n  }\n"])));
var ScreenOverlay = exports.ScreenOverlay = _styledComponents["default"].div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  position: absolute;\n  top: 17%;\n  left: 15.3%;\n  width: 69.2%;\n  height: 67%;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  pointer-events: none;\n  overflow: hidden;\n\n  img {\n    width: 100%;\n    height: 100%;\n    /* object-fit: cover; */\n  }\n"])));
var DetailsContainer = exports.DetailsContainer = _styledComponents["default"].div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  flex: 1;\n  padding-left: 20px;\n\n  h3 {\n    color: #333;\n    font-size: 2rem;\n    font-weight: bold;\n    margin-bottom: 20px;\n  }\n\n  p {\n    font-size: 1rem;\n    color: #5a5a5a;\n    margin-bottom: 20px;\n  }\n\n  @media (max-width: 768px) {\n    padding-left: 0;\n  }\n"])));
var CaseStudyButton = exports.CaseStudyButton = _styledComponents["default"].button(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n  background-color: #0a7969;\n  color: white;\n  font-size: 1rem;\n  padding: 10px 20px;\n  border: none;\n  border-radius: 5px;\n  cursor: pointer;\n  transition: background-color 0.3s ease;\n\n  &:hover {\n    background-color: #0a7969;\n  }\n"])));