"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WorkWrapper = exports.WorkContainer = exports.SectionTitle = exports.ProjectsGrid = exports.ProjectHoverEffect = exports.ProjectCard = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6;
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _taggedTemplateLiteral(e, t) { return t || (t = e.slice(0)), Object.freeze(Object.defineProperties(e, { raw: { value: Object.freeze(t) } })); }
var WorkContainer = exports.WorkContainer = _styledComponents["default"].div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  width: 100%;\n  min-height: 100vh;\n  background-color: #fff;\n  color: #bdbdbd;\n  scroll-margin-top: 80px;\n"])));
var WorkWrapper = exports.WorkWrapper = _styledComponents["default"].div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  max-width: 1000px;\n  margin: 0 auto;\n  padding: 1rem;\n  display: flex;\n  flex-direction: column;\n  justify-content: center;\n  width: 100%;\n  height: 100%;\n  /* margin-top: 50px; */\n  background-color: #fff;\n"])));
var SectionTitle = exports.SectionTitle = _styledComponents["default"].div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  padding-bottom: 2rem;\n\n  p {\n    font-size: 2rem;\n    font-weight: bold;\n    border-bottom: 4px solid #29ab87;\n    display: inline-block;\n  }\n\n  .subTitle {\n    padding-top: 1.5rem;\n    font-weight: 600;\n  }\n"])));
var ProjectsGrid = exports.ProjectsGrid = _styledComponents["default"].div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  display: grid;\n  grid-template-columns: repeat(2, 1fr);\n  gap: 1rem;\n\n  @media (min-width: 768px) {\n    grid-template-columns: repeat(3, 1fr);\n  }\n"])));
var ProjectCard = exports.ProjectCard = _styledComponents["default"].div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n  background-size: cover;\n  background-position: center;\n  height: 250px;\n  border-radius: 0.5rem;\n  box-shadow: 0px 0px 15px rgba(41, 171, 135, 0.5);\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  transition: all 0.3s ease-in-out;\n\n  &:hover .ProjectHoverEffect {\n    opacity: 1;\n  }\n"])));
var ProjectHoverEffect = exports.ProjectHoverEffect = _styledComponents["default"].div(_templateObject6 || (_templateObject6 = _taggedTemplateLiteral(["\n  opacity: 0;\n  transition: opacity 0.3s ease;\n  background-color: rgba(0, 0, 0, 0.7);\n  width: 100%;\n  height: 100%;\n  padding: 1rem;\n  display: flex;\n  flex-direction: column;\n  justify-content: center;\n  align-items: center;\n  border-radius: 0.5rem;\n\n  span {\n    font-size: 1.5rem;\n    font-weight: bold;\n    color: white;\n  }\n\n  div {\n    margin-top: 2rem;\n    text-align: center;\n  }\n\n  button {\n    background-color: white;\n    color: #333;\n    padding: 0.75rem 1.5rem;\n    border-radius: 0.5rem;\n    margin: 0.5rem;\n    font-size: 1rem;\n    font-weight: bold;\n    cursor: pointer;\n    transition: background-color 0.3s ease;\n\n    &:hover {\n      background-color: #29ab87;\n      color: white;\n    }\n  }\n"])));